Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations

BatchCreateIAM2VirtualIDFromConfigFile

BatchCreateIAM2VirtualIDFromConfigFile

POST/zstack/v1/iam2/virtual-ids/from-file

Operation ID

BatchCreateIAM2VirtualIDFromConfigFile

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • virtualIDInfos
      StringRequired

      The user information encoded in Base64 format.

    • resourceUuid
      String

      Optional.

    • tagUuids
      List

      Optional. The tag UUID list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • numberOfImportedUser
    intRequired

    The number of users that you have created successfully when you create users in bulk.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.